Bug 31818 - Advanced editor doesn't show keyboard shortcuts
Summary: Advanced editor doesn't show keyboard shortcuts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-10-16 11:00 UTC by Katrin Fischer
Modified: 2022-11-27 00:15 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.07, 21.11.14


Attachments
Bug 31818: Enable table elements in keyboard shortcuts popover (1.63 KB, patch)
2022-11-03 15:23 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 31818: Enable table elements in keyboard shortcuts popover (1.69 KB, patch)
2022-11-03 16:31 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 31818: Enable table elements in keyboard shortcuts popover (1.74 KB, patch)
2022-11-09 12:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-10-16 11:00:36 UTC
When using the advanced cataloguing editor, the modal showing the defined keyboard shortcuts no longer works.
Comment 1 Katrin Fischer 2022-10-16 11:01:04 UTC
I wanted to test the clipboard when running into this - might also be worth having a look.
Comment 2 Nick Clemens 2022-11-03 15:23:24 UTC
Created attachment 143135 [details] [review]
Bug 31818: Enable table elements in keyboard shortcuts popover

This patch updates the whitelist for the popover to ensrue our shortcuts table displays

To test:
1 - Open the advanced cataloging editor
2 - Click 'Keyboard shortcuts'
3 - Is empty, be sad
4 - Apply patch
5 - Reload
6 - Click it again
7 - Shortcuts!
Comment 3 Andrew Fuerste-Henry 2022-11-03 16:31:58 UTC
Created attachment 143138 [details] [review]
Bug 31818: Enable table elements in keyboard shortcuts popover

This patch updates the whitelist for the popover to ensrue our shortcuts table displays

To test:
1 - Open the advanced cataloging editor
2 - Click 'Keyboard shortcuts'
3 - Is empty, be sad
4 - Apply patch
5 - Reload
6 - Click it again
7 - Shortcuts!

Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>
Comment 4 Andrew Fuerste-Henry 2022-11-03 16:34:52 UTC
(In reply to Andrew Fuerste-Henry from comment #3)
> Created attachment 143138 [details] [review] [review]
> Bug 31818: Enable table elements in keyboard shortcuts popover
> 
> This patch updates the whitelist for the popover to ensrue our shortcuts
> table displays
> 
> To test:
> 1 - Open the advanced cataloging editor
> 2 - Click 'Keyboard shortcuts'
> 3 - Is empty, be sad
> 4 - Apply patch
> 5 - Reload
> 6 - Click it again
> 7 - Shortcuts!
> 
> Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>

In my testing, I was not able to feel actual sadness in step 3, but maybe we can handle that in a followup.
Comment 5 Katrin Fischer 2022-11-09 12:12:01 UTC
Created attachment 143493 [details] [review]
Bug 31818: Enable table elements in keyboard shortcuts popover

This patch updates the whitelist for the popover to ensrue our shortcuts table displays

To test:
1 - Open the advanced cataloging editor
2 - Click 'Keyboard shortcuts'
3 - Is empty, be sad
4 - Apply patch
5 - Reload
6 - Click it again
7 - Shortcuts!

Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Tomás Cohen Arazi 2022-11-09 13:06:55 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 7 Lucas Gass 2022-11-10 23:29:45 UTC
Backported to 22.05.x for upcoming 22.05.07 release
Comment 8 Arthur Suzuki 2022-11-15 17:10:51 UTC
applied to 21.11 for 21.11.14
Comment 9 Victor Grousset/tuxayo 2022-11-27 00:15:02 UTC
21.05.x not affected, no backport.

Nothing to document, marking resolved.